shishi_keys_for_server_in_file(3)

NAME
shishi_keys_for_server_in_file - API function

SYNOPSIS
#include <shishi.h>

Shishi_key * shishi_keys_for_server_in_file(Shishi * handle, const char * filename, const char * server);

ARGUMENTS

Shishi * handle
    Shishi library handle create by shishi_init().

const char * filename
    file to read keys from.

const char * server
    server name to get key for.

DESCRIPTION
Get key for specified server from filename.

RETURN VALUE
Returns the key for specific server, read from the indicated file, or NULL if no key could be found or an error encountered.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>. GNU Shishi home page: http://www.gnu.org/software/shishi/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2002-2022 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.